# PetscObjectName

Gives an object a name if it does not have one

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscObjectName(PetscObject obj)

Not Collective

### Input Parameters

obj -the Petsc variable Thus must be cast with a (PetscObject), for example, PetscObjectSetName((PetscObject)mat,name);

### See Also

PetscObjectGetName(), PetscObjectSetName()

Level:advanced
Location: src/sys/objects/pname.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages